Subject: Re: DATE-OBS='31/12/99'

From: seaman at noao.edu (Rob Seaman)
Date: 10 Jul 1996 00:31:11 GMT

John E. Davis writes:

> If the statement,
> 
>    ``Reading the data values from a FITS file should not require
>    decoding any more than the first eight characters of a character
>    string value of a keyword.''
> 
> from NOST 100-1.0, section 5.3.2.1 on character string formats applies
> then there could be trouble.  Perhaps this statement should be changed
> to something more reasonable to specify that ALL characters with the
> exception of trailing whitespace of a character string are meaningful.

This "fixed format" is only required for the mandatory FITS keywords,
for instance, XTENSION names.  Many other keywords already rely on long
values, of course.  Clarifying the documentation can't hurt, though.

Rob
-- 
seaman at noao.edu, http://iraf.noao.edu/~seaman
NOAO, 950 N Cherry Ave, Tucson AZ 85719, 520-318-8248
PGP: 98 8D 8B 49 74 9A 41 88  3A 43 87 54 51 BF 30 4B